Package com.independentsoft.office.odf

# Enum Class NumberPosition

java.lang.Object
java.lang.Enum<NumberPosition>
com.independentsoft.office.odf.NumberPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<NumberPosition>`, `Constable`

public enum NumberPosition extends Enum<NumberPosition>
Represents the margin where line numbers appear.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INNER`
  Page numbers appear on the inner side of a page.
  `LEFT`
  Page numbers appear on the left side of a page.
  `NONE`
  None.
  `OUTER`
  Page numbers appear on the outer side of a page.
  `RIGHT`
  Page numbers appear on the right side of a page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NumberPosition`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static NumberPosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final NumberPosition LEFT
    Page numbers appear on the left side of a page.

  - ### RIGHT

    public static final NumberPosition RIGHT
    Page numbers appear on the right side of a page.

  - ### INNER

    public static final NumberPosition INNER
    Page numbers appear on the inner side of a page.

  - ### OUTER

    public static final NumberPosition OUTER
    Page numbers appear on the outer side of a page.

  - ### NONE

    public static final NumberPosition NONE
    None.

- ## Method Details

  - ### values

    public static NumberPosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NumberPosition valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null